function doComments(path) {

    var stitle = document.title;

    // remove question marks from title
    stitle = stitle.replace( /[\?]/g, "_" );  

    var surl = unescape(location.href);

    // strip hash and all that follows
    surl = surl.replace( /#.*$/, "" );

    var i = surl.indexOf("::");

    if( i == -1 ) {

        i = surl.lastIndexOf("/");

        chmpath = surl.substring(0,i+1);

    } else {

        chmpath = surl.substring(0,i+3);

    }

    window.open(
        chmpath+path+"#"+stitle+" ["+surl+"]",
        null,
        "height=450,width=450,resizable=yes,directories=no,location=no,menubar=no,status=no,toolbar=no" );

}